HISAXCTRL(8)

NAME
hisaxctrl - configure HiSax-Module

SYNOPSIS
hisaxctrl DriverId command parameters

DESCRIPTION
hisaxctrl is used to setup the HiSax-ISDN device driver. All logging-output is sent to the device /dev/isdnctrl. So you can show it by executing cat /dev/isdnctrl.
NOTE: for devfs systems, the program will automatically use /dev/isdn/isdnctrl if available.

The use of hisaxctrl only makes sense if you are using the HiSax driver.

OPTIONS

DriverId
    is used to identify the card when using more than one passive card. While loading the hisax module with insmod, or modprobe the DriverId is set by appending id=idstring1%idstring2%... to the commandline.

command
    is an integer selecting the setup category. The following values are defined for setting the logging-level of the HiSax-ISDN device driver:

    0 reports card status infos.
    1 selects generic debugging.
    11 selects layer 1 development debugging.
    13 selects layer 3 development debugging.

the following commands are used to enable special features during runtime of the HiSax-ISDN device driver.

    2 set B-channel ON delay to parameter (in ms)
    5 set B-channel in leased mode
    6 set B-channel in TESTLOOP mode
    7 set/reset card in Point To Point mode
    8 set card in FIXED TEI mode
    9 load firmware for DSP cards
    10 set B-channel usage limit to 1 or 2 channels
    12 set echo logging mode (only for some cards)
    B-channel usage limit needs to be 1 if enabled

parameter
    If the command is 9 then the parameter is the full pathname to the file containing the firmware. For debug settings this is an integer representing a bitmask. Every bit in this mask switches a debug facility on or off. Depending on the selected category, the following values are defined:

    With generic debugging selected
    (command 1):

    0x001 Link-level <--> hardware-level communication
    0x002 Top state machine
    0x004 D-Channel Q.931 (call control messages)
    0x008 D-Channel Q.921
    0x010 B-Channel X.75
    0x020 D-Channel l2
    0x040 B-Channel l2
    0x080 D-Channel link state debugging
    0x100 B-Channel link state debugging
    0x200 TEI debug
    0x400 LOCK debug in callc.c
    0x800 More debug in callc.c (not for normal use)

    With layer 1 development debugging selected
    (command 11):

    0x001 Warnings (default: on)
    0x002 IRQ status
    0x004 ISAC
    0x008 ISAC FIFO
    0x010 HSCX
    0x020 HSCX FIFO (attention: full B-Channel output!)
    0x040 D-Channel LAPD frame types

    With layer 3 development debugging selected
    (command 13):

    0x001 Warnings (default: on)
    0x002 l3 protocol discriptor errors
    0x004 l3 state machine
    0x008 charge info debugging (1TR6)

EXAMPLE

hisaxctrl HiSax 1 0x3ff
    enables full generic debugging.

AUTHOR
© 2000 by Karsten Keil <kkeil@suse.de>

SEE ALSO
isdnctrl(8), isdn_cause(7), isdninfo(4).